org.apache.ignite.ml.selection.scoring.evaluator.aggregator

## Class BinaryClassificationPointwiseMetricStatsAggregator.WithCustomLabelsAggregator<L extends Serializable>

- java.lang.Object
- - org.apache.ignite.ml.selection.scoring.evaluator.aggregator.BinaryClassificationPointwiseMetricStatsAggregator<L>
  - - org.apache.ignite.ml.selection.scoring.evaluator.aggregator.BinaryClassificationPointwiseMetricStatsAggregator.WithCustomLabelsAggregator<L>

- All Implemented Interfaces:
    Serializable, MetricStatsAggregator<L,BinaryClassificationEvaluationContext<L>,BinaryClassificationPointwiseMetricStatsAggregator<L>>
  Enclosing class:
    BinaryClassificationPointwiseMetricStatsAggregator<L extends Serializable>

      public static class BinaryClassificationPointwiseMetricStatsAggregator.WithCustomLabelsAggregator<L extends Serializable>
      extends BinaryClassificationPointwiseMetricStatsAggregator<L>

  Class represents already initialized aggregator.
  See Also:
    Serialized Form

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class org.apache.ignite.ml.selection.scoring.evaluator.aggregator.BinaryClassificationPointwiseMetricStatsAggregator

      `BinaryClassificationPointwiseMetricStatsAggregator.WithCustomLabelsAggregator<L extends Serializable>`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `WithCustomLabelsAggregator(L truthLabel, L falseLabel)` Create an instance of WithCustomLabels.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `BinaryClassificationEvaluationContext<L>` | `createInitializedContext()` Returns initialized context.

    - ### Methods inherited from class org.apache.ignite.ml.selection.scoring.evaluator.aggregator.BinaryClassificationPointwiseMetricStatsAggregator

      `aggregate, getFalseLabel, getFalseNegative, getFalsePositive, getN, getTrueNegative, getTruePositive, getTruthLabel, initByContext, mergeWith`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### WithCustomLabelsAggregator

          public WithCustomLabelsAggregator(L truthLabel,
                                            L falseLabel)

      Create an instance of WithCustomLabels.
      Parameters:
        `truthLabel` - Truth label.
        `falseLabel` - False label.

  - ### Method Detail

    - #### createInitializedContext

          public BinaryClassificationEvaluationContext<L> createInitializedContext()

      Returns initialized context.
      Specified by:
        `createInitializedContext` in interface `MetricStatsAggregator<L extends Serializable,BinaryClassificationEvaluationContext<L extends Serializable>,BinaryClassificationPointwiseMetricStatsAggregator<L extends Serializable>>`
      Overrides:
        `createInitializedContext` in class `BinaryClassificationPointwiseMetricStatsAggregator<L extends Serializable>`
      Returns:
        initialized evaluation context.

${current.year} Copyright © Apache Software Foundation
| Follow @ApacheIgnite
Ignite Database and Caching Platform | : ver. 2.15.0
Release Date | : April 25 2023